Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.lucene.basic
Class DynamicFieldBridge

    java.lang.Object
      org.modeshape.jcr.query.lucene.basic.DynamicFieldBridge

All Implemented Interfaces:
  org.hibernate.search.bridge.FieldBridge

    public class DynamicFieldBridge

extends Object
implements org.hibernate.search.bridge.FieldBridge

The Hibernate Search `FieldBridge` implementation that generates a field in the Lucene Document for each `DynamicField`.

Constructor Summary
`DynamicFieldBridge()`

Method Summary
`protected void` | `addField(DynamicField field, org.apache.lucene.document.Document document, org.hibernate.search.bridge.LuceneOptions analyzedOptions)`
`protected void` | `addField(org.hibernate.search.bridge.LuceneOptions options, String fieldName, Object value, org.apache.lucene.document.Document document, boolean stored)`
`void` | `set(String name, Object value, org.apache.lucene.document.Document document, org.hibernate.search.bridge.LuceneOptions luceneOptions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicFieldBridge

    public DynamicFieldBridge()

Method Detail

### set

    public final void set(String name,
                          Object value,
                          org.apache.lucene.document.Document document,
                          org.hibernate.search.bridge.LuceneOptions luceneOptions)

  Specified by:
    `set` in interface `org.hibernate.search.bridge.FieldBridge`

### addField

    protected final void addField(DynamicField field,
                                  org.apache.lucene.document.Document document,
                                  org.hibernate.search.bridge.LuceneOptions analyzedOptions)

### addField

    protected final void addField(org.hibernate.search.bridge.LuceneOptions options,
                                  String fieldName,
                                  Object value,
                                  org.apache.lucene.document.Document document,
                                  boolean stored)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.